/*
    Plugin:  Simple price list
    Loading: simple-price-list.php
*/

jQuery(document).ready(function() {
    jQuery('#simple_price_list_options_exclude').select2();
    
    var exclude = jQuery('#set_exclude');
    if (exclude.length > 0) {
        jQuery('#set_exclude').select2();
    }
    var category = jQuery('#set_category');
    if (category.length > 0) {
        jQuery('#set_category').select2();
    }
    
    var shortcode = jQuery('#shortcode_id');
    if (shortcode.length > 0) {
        simple_price_list_920_update_shortcode();
        
        jQuery('#set_image').on('change', function(){
            simple_price_list_920_update_shortcode();
        });
        jQuery('#set_group').on('change', function(){
            simple_price_list_920_update_shortcode();
        });
        jQuery('#set_hide_out').on('change', function(){
            simple_price_list_920_update_shortcode();
        });
        jQuery('#set_exclude').on('change', function(){
            simple_price_list_920_update_shortcode();
        });
        jQuery('#set_category').on('change', function(){
            simple_price_list_920_update_shortcode();
        });
    }
    
});

function simple_price_list_920_update_shortcode() {
    var id = jQuery('#shortcode_id').val();
    var slug = []
    
    let image = 0;
    if ( jQuery('#set_image').prop('checked') ) { image = 1; }
    if (image != simple_price_list_options.image) {
        slug.push('image="'+image+'"');
    }

    let group = 0;
    if ( jQuery('#set_group').prop('checked') ) { group = 1; }
    if (group != simple_price_list_options.group) {
        slug.push('group="'+group+'"');
    }

    let hide_out = 0;
    if ( jQuery('#set_hide_out').prop('checked') ) { hide_out = 1; }
    if (hide_out != simple_price_list_options.hide_out) {
        slug.push('hide_out="'+hide_out+'"');
    }

    let exclude = jQuery('#set_exclude').val();
    exclude = exclude.join(',');
    if (exclude != simple_price_list_options.exclude) {
        slug.push('exclude="'+exclude+'"');
    }

    let category = jQuery('#set_category').val();
    if (category != '-1') {
        slug.push('category="'+category+'"');        
    }
    
    let params = '';
    if (slug.length > 0) {
        params = ' ' + slug.join(' '); 
    }
    
    var shortcode = '['+id+params+']';
    jQuery('#simple_price_list_shortcode').html(shortcode);
}


function simple_price_list_920_copy_to_clipboard() {
    text = jQuery('#simple_price_list_shortcode').text();
    var temp = jQuery("<input>");
    jQuery("body").append(temp);
    temp.val(text).select();
    document.execCommand("copy");
    temp.remove();    
}
