<?php
/*
Plugin Name: Simple price list
Plugin URI:  http://wpdemo.dovi42.hu/simple-price-list-en
Description: Generated price list for WooCommerce products
Version:     1.02
Author:      Dovi42
Author URI:  http://dovi42.hu/
License:     GPLv2 or later
License URI: https://www.gnu.org/licenses/gpl-2.0.html
Text Domain: simple-price-list
Generator:   WP Creator - http://wpcreator.hu - 2021-01-14 10:34:31
WC requires at least: 4.0.0
WC tested up to: 5.0
*/

if ( !defined( 'ABSPATH' ) ) exit;

if (!defined('DS')) { define( 'DS', DIRECTORY_SEPARATOR ); }
define('SIMPLE_PRICE_LIST_920_ROOT', dirname(__FILE__));
define('SIMPLE_PRICE_LIST_920_FILE', __FILE__);
define('SIMPLE_PRICE_LIST_920_VERSION', '1.02');

function simple_price_list_920_update() {
    require_once ( dirname(__file__) .DIRECTORY_SEPARATOR. 'libs' .DIRECTORY_SEPARATOR. 'autoupdate.php' ); 
	
	$plugin_current_version = SIMPLE_PRICE_LIST_920_VERSION; // Current version
	$plugin_remote_path     = 'http://update.dovi42.hu/simple-price-list/update.php';  
	$plugin_slug            = plugin_basename(__file__);
	$license_user           = get_site_url();
	$license_key            = '<optional license key>';

	if ( $license_user && $license_key && $plugin_remote_path )
	{
		new simple_price_list_920_AutoUpdate ($plugin_current_version, $plugin_remote_path, $plugin_slug, $license_user, $license_key);
	}
}
add_action('init', 'simple_price_list_920_update');


function simple_price_list_920_get_options() { 

	$defaults = array(
			'image'             => '1',
			'group'             => '1',
			'exclude'           => '',
			'hide_out'          => '0',
			'out_of_stock_text' => __('In stock soon...', 'simple-price-list')
		);
	$options = get_option('simple_price_list_options');
	$options = wp_parse_args($options, $defaults);

	return $options;
}

function simple_price_list_920_load_textdomain() {
    load_plugin_textdomain( 'simple-price-list', false, basename( dirname( __FILE__ )) . '/languages' ); 
}
add_action( 'plugins_loaded', 'simple_price_list_920_load_textdomain' );

function simple_price_list_920_notice() {
    if( get_transient( 'simple_price_list_920_review_notice' ) ) {

        echo '<div class="notice notice-success"><p>' . 
                sprintf( '<strong>'.__('Simple price list', 'simple-price-list'). ':</strong> '.__('Please don\'t forget to <a href="%s" target="_blank">rate the plugin!</a>', 'simple-price-list'),
                        'https://wordpress.org/support/plugin/simple-price-list/reviews/') .
             '</p></div>';

        delete_transient( 'simple_price_list_920_review_notice' );
    }
}
add_action( 'admin_notices', 'simple_price_list_920_notice' );

function simple_price_list_920_activation() {

	$options = simple_price_list_920_get_options();
	update_option('simple_price_list_options', $options, true);    
    set_transient( 'simple_price_list_920_review_notice', 1 );
    // flush_rewrite_rules();
}
register_activation_hook( SIMPLE_PRICE_LIST_920_FILE, 'simple_price_list_920_activation' );

function simple_price_list_920_deactivation() {
	delete_option('simple_price_list_options');    
    // flush_rewrite_rules();
}
register_deactivation_hook( SIMPLE_PRICE_LIST_920_FILE, 'simple_price_list_920_deactivation' );

function simple_price_list_920_uninstall() {

}
register_uninstall_hook(SIMPLE_PRICE_LIST_920_FILE, 'simple_price_list_920_uninstall' );

function simple_price_list_920_upgrade_completed( $upgrader_object, $options ) {
    $our_plugin = plugin_basename( SIMPLE_PRICE_LIST_920_FILE );
    if( $options['action'] == 'update' && $options['type'] == 'plugin' && isset( $options['plugins'] ) ) {
        foreach( $options['plugins'] as $plugin ) {
            if( $plugin == $our_plugin ) {

                set_transient( 'simple_price_list_920_review_notice', 1 );
                // flush_rewrite_rules();

            }
        }
    }
}
add_action( 'upgrader_process_complete', 'simple_price_list_920_upgrade_completed', 10, 2 );

if ( is_admin() ) { 

    include( dirname(__file__) .DS. 'libs' .DS. 'admin' .DS. 'setup.php' );
    $my_settings_page = new simple_price_list_920_settings();
    
    function simple_price_list_920_get_extra_meta_links($meta, $file, $data, $status) {

        if (plugin_basename(__FILE__) == $file) {

            $meta[]  = '<a href="https://wordpress.org/support/plugin/simple-price-list/reviews/">'.
                       __('Please rating!', 'simple-price-list') . 
                       '</a>';
        }
        return $meta;
    }
    add_filter("plugin_row_meta", 'simple_price_list_920_get_extra_meta_links', 10, 4);

    function simple_price_list_920_add_settings_link( $links ) {
        $settings_link = '<a href="options-general.php?page=simple-price-list-setting-admin">' . __( 'Settings' ) . '</a>';
        array_unshift( $links, $settings_link );
      	return $links;
    }
    $plugin = plugin_basename( __file__ );
    add_filter( "plugin_action_links_$plugin", 'simple_price_list_920_add_settings_link' );

} else {
        
}



function simple_price_list_920_styles_and_scripts_to_backend() {
    global $pagenow;
    
    if (isset($_REQUEST['page'])) {
        $page = sanitize_text_field($_REQUEST['page']);
    } else {
        $page = '';
    }

    if (($pagenow == 'options-general.php') and ($page == 'simple-price-list-setting-admin')) {

        // Select2
        wp_register_style( 'simple-price-list-select2', plugins_url( 'simple-price-list/assets/css/select2.css'), array(), '4.0.13' );
        wp_enqueue_style( 'simple-price-list-select2' );
        wp_register_script('simple-price-list-select2', plugins_url( 'simple-price-list/assets/js/select2.js', SIMPLE_PRICE_LIST_920_ROOT ), array('jquery'), '4.0.13', true);
        wp_enqueue_script('simple-price-list-select2');

        if (file_exists(SIMPLE_PRICE_LIST_920_ROOT.DS.'assets'.DS.'css'.DS.'simple-price-list-admin.css')) {
            wp_register_style( 'simple-price-list-admin', plugins_url( 'simple-price-list/assets/css/simple-price-list-admin.css', SIMPLE_PRICE_LIST_920_ROOT ), array(), SIMPLE_PRICE_LIST_920_VERSION );
            wp_enqueue_style( 'simple-price-list-admin' );
        }
        
        if (file_exists(SIMPLE_PRICE_LIST_920_ROOT.DS.'assets'.DS.'js'.DS.'simple-price-list-admin.js')) {
            wp_register_script('simple-price-list-admin', plugins_url( 'simple-price-list/assets/js/simple-price-list-admin.js', SIMPLE_PRICE_LIST_920_ROOT ), array('jquery'), SIMPLE_PRICE_LIST_920_VERSION, true);
            wp_enqueue_script('simple-price-list-admin');
        }
        
        $tab = '';
        if (isset($_REQUEST['simple-price-list-tab'])) {
            $tab = sanitize_text_field($_REQUEST['simple-price-list-tab']);
        }
        if ($tab == 'shortcode') {
            $options = simple_price_list_920_get_options();
            wp_register_script('simple-price-list-options', '', array('simple-price-list-admin'), SIMPLE_PRICE_LIST_920_VERSION, true);
            wp_localize_script('simple-price-list-options', 'simple_price_list_options', $options);
            wp_enqueue_script('simple-price-list-options');
        }
        
    }
}
add_action( 'admin_enqueue_scripts', 'simple_price_list_920_styles_and_scripts_to_backend' );

function simple_price_list_920_include($filename) {
    if (file_exists(SIMPLE_PRICE_LIST_920_ROOT . $filename)) {
        include_once(SIMPLE_PRICE_LIST_920_ROOT . $filename);
    }
} 

function simple_price_list_920_include_files($path, $ext = array('php')) {
    $files = array();
    $handle = @opendir(SIMPLE_PRICE_LIST_920_ROOT . $path);
    if ($handle) {
        while (false !== ($file = readdir($handle))) {
            if (!is_dir(SIMPLE_PRICE_LIST_920_ROOT . $path .DS. $file)) {
                $info = pathinfo(SIMPLE_PRICE_LIST_920_ROOT . $path .DS. $file); 
                if (!isset($info['extension'])) { $info['extension'] = ''; }

                if (in_array(strtolower($info['extension']), $ext)) {
                    include_once(SIMPLE_PRICE_LIST_920_ROOT . $path .DS. $file);
                }
            }
        }
    }
}

if ( !is_admin() ) {
    simple_price_list_920_include('/libs/hooks.php');
    simple_price_list_920_include_files('/libs/shortcodes', array('php'));
}




